diff --git a/doc/src/sgml/limits.sgml b/doc/src/sgml/limits.sgml
index d5b2b627dd..c549447013 100644
--- a/doc/src/sgml/limits.sgml
+++ b/doc/src/sgml/limits.sgml
@@ -57,14 +57,14 @@
 
     <row>
      <entry>columns per table</entry>
-     <entry>1600</entry>
+     <entry>1,600</entry>
      <entry>further limited by tuple size fitting on a single page; see note
      below</entry>
     </row>
 
     <row>
      <entry>columns in a result set</entry>
-     <entry>1664</entry>
+     <entry>1,664</entry>
      <entry></entry>
     </row>
 
@@ -74,12 +74,6 @@
      <entry></entry>
     </row>
 
-    <row>
-     <entry>identifier length</entry>
-     <entry>63 bytes</entry>
-     <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
-    </row>
-
     <row>
      <entry>indexes per table</entry>
      <entry>unlimited</entry>
@@ -92,11 +86,29 @@
      <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
     </row>
 
-   <row>
-    <entry>partition keys</entry>
-    <entry>32</entry>
-    <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
-   </row>
+    <row>
+     <entry>partition keys</entry>
+     <entry>32</entry>
+     <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
+    </row>
+
+    <row>
+     <entry>identifier length</entry>
+     <entry>63 bytes</entry>
+     <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
+    </row>
+
+    <row>
+     <entry>function arguments</entry>
+     <entry>100</entry>
+     <entry>can be increased by recompiling <productname>PostgreSQL</productname></entry>
+    </row>
+
+    <row>
+     <entry>query parameters</entry>
+     <entry>65,535</entry>
+     <entry></entry>
+    </row>
    </tbody>
   </tgroup>
  </table>
@@ -104,9 +116,9 @@
  <para>
   The maximum number of columns for a table is further reduced as the tuple
   being stored must fit in a single 8192-byte heap page.  For example,
-  excluding the tuple header, a tuple made up of 1600 <type>int</type> columns
+  excluding the tuple header, a tuple made up of 1,600 <type>int</type> columns
   would consume 6400 bytes and could be stored in a heap page, but a tuple of
-  1600 <type>bigint</type> columns would consume 12800 bytes and would
+  1,600 <type>bigint</type> columns would consume 12800 bytes and would
   therefore not fit inside a heap page.
   Variable-length fields of
   types such as <type>text</type>, <type>varchar</type>, and <type>char</type>
